### Method

# Adw Carousel scroll_to

#### Declaration [src]

    void
    adw_carousel_scroll_to (
      AdwCarousel* self,
      GtkWidget* widget,
      gboolean animate
    )

#### Description [src]

Scrolls to `widget`.

If `animate` is `TRUE`, the transition will be animated.

Available since: | 1.0

#### Parameters

`widget` | `GtkWidget`
| A child of `self`.
| The data is owned by the caller of the function.
`animate` | `gboolean`
| Whether to animate the transition.